Bug 168381 - Review Request: rpy - python interface to R
Review Request: rpy - python interface to R
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
David Lawrence
http://rpy.sourceforge.net
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-09-15 11:16 EDT by José Matos
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-23 13:00:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description José Matos 2005-09-15 11:16:33 EDT
Spec Url: http://www.fc.up.pt/pessoas/jamatos/fedora-extras/rpy.spec
SRPM Url: http://www.fc.up.pt/pessoas/jamatos/fedora-extras/rpy-0.4.6-1.src.rpm

Description:
RPy provides a robust Python interface to the R
programming language.  It can manage all kinds of R objects and can
execute arbitrary R functions. All the errors from the R language are
converted to Python exceptions.
Comment 1 Tom "spot" Callaway 2005-09-15 11:45:09 EDT
Good:

- rpmlint checks return nothing
- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED.
Comment 2 Alex Lancaster 2005-09-19 23:28:03 EDT
Please add a Bugzilla component for "rpy" to owners CVS as per new package process.

Also new Bugzilla components don't appear to be being created so I am going to
file a package bug here. 

The issue is that the info docs aren't being built.  Rather than distribute
manual.texi in /usr/share/doc/examples/rpy-0.4.6/, the package should build and
install the manual to /usr/share/info/ so that it browseable via info.

Lastly, since the package has been built and pushed to the mirrors, shouldn't it
be CLOSED and marked CURRENTRELEASE?
Comment 3 Alex Lancaster 2005-09-21 20:18:26 EDT
(In reply to comment #2)
> Please add a Bugzilla component for "rpy" to owners CVS as per new package
process.

Seems to be added now, and the cron job to create components is now working again.

> Also new Bugzilla components don't appear to be being created so I am going to
> file a package bug here. 

Opened new bug on this:  bug #169002
Comment 4 José Matos 2005-09-23 13:00:04 EDT
Thanks for your input. :-) 
 
I have add the component to owners, and I will close the bug here since, 
as you said, the package build cleanly. 
 
I will refer to the bug in the proper entry. 

Note You need to log in before you can comment on or make changes to this bug.